import { useState } from "react";
import { View } from "@tarojs/components";

import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import editorStyle from "../editor.module.less";
import BottomBar from "@/components/BottomBar";

import WemetaTextarea from "@/components/wemeta-textarea/index";
import Taro, {useRouter, useUnload} from "@tarojs/taro";
import { useAgentStore } from "@/store/agentStore";

export default function Index() {
  const router = useRouter();
  const { agentId } = router.params;
  const agent = useAgentStore((state)=> state.agent)
  const agentCard = useAgentStore((state)=> state.agentCard)
  const {editAgentCard} = useAgentStore()
  const [value, setValue] = useState(agentCard?.name ?? '');
  const handleSubmit = async () => {
    if(!agent?.agentId){
      return;
    }
    if(value.length <= 0){
      return;
    }
    
    

    
    await editAgentCard(agent.agentId, {
      ...agentCard,
      name: value
    })

    
  };

  const onChange = (e: any) => {
    setValue(e);
  };

  
  

  return (
    <PageCustom>
      <NavBarNormal backText="姓名"></NavBarNormal>
      <View className="flex flex-col items-center w-full">
        <View className={editorStyle.container}>
          <View
            className={`${editorStyle.textInputContainer} ${editorStyle.underline}`}
          >
            <WemetaTextarea
              value={value}
              onBlur={(value: string) => onChange(value)}
              onInput={(value: string) => onChange(value)}
              placeholder="填写姓名"
              autoFocus
            />
          </View>
        </View>
        <BottomBar>
          <View className="button-rounded button-primary flex-1" onClick={handleSubmit}>保存</View>
        </BottomBar>
      </View>
    </PageCustom>
  );
}
