import { useState } from "react";
import { View } from "@tarojs/components";

import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import editorStyle from "../editor.module.less";
import BottomBar from "@/components/BottomBar";
import WemetaTextarea from "@/components/wemeta-textarea/index";
import Taro, {useRouter, useUnload} from "@tarojs/taro";
import { useAgentStore } from "@/store/agentStore";

export default function Index() {
  const router = useRouter();
  const { agentId } = router.params;
  const agent = useAgentStore((state)=> state.agent)  
  const {editAgentCharacter} = useAgentStore()  
  const [value, setValue] = useState(agent?.personality ?? '');
  
  const handleSubmit = async () => {
    if(!agent?.agentId){
      return
    }
    if(value.length <= 0){
      return;
    }

    await editAgentCharacter(agent.agentId, {
      enabledPersonalKb: agent.enabledPersonalKb ?? false,
      greeting: agent.greeting ?? '',
      personality: value,
      questionGuides: agent.questionGuides ?? [],
      voiceId: agent.voiceId ?? '',
    })
    
  };

  const onChange = (e: any) => {
    setValue(e);
  };
  
  
  

  return (
    <PageCustom>
      <NavBarNormal backText="人设"></NavBarNormal>
      <View className="flex flex-col items-center w-full">
        <View className={editorStyle.container}>
          <View
            className={`${editorStyle.textInputContainer} ${editorStyle.underline}`}
          >
            <WemetaTextarea
              value={value}
              onBlur={(value: string) => onChange(value)}
              onInput={(value: string) => onChange(value)}
              placeholder="示例：你是一位汽车销售人员，拥有专业的汽车相关知识，善于耐心的解答客户提出的每一个问题，并会主动邀请客户上门试驾。"
              autoFocus
              ai
            />
          </View>
        </View>
        
        <BottomBar>
          <View className="button-rounded button-primary flex-1" onClick={handleSubmit}>保存</View>
        </BottomBar>
      </View>
    </PageCustom>
  );
}
